## xmbdfed 3.0.1

=== Makefile ===
#
# Copyright 1996, 1997, 1998 Computing Research Labs,
# New Mexico State University
#
# Permission is hereby granted, free of charge, to any person obtaining a
# copy of this software and associated documentation files (the "Software"),
# to deal in the Software without restriction, including without limitation
# the rights to use, copy, modify, merge, publish, distribute, sublicense,
# and/or sell copies of the Software, and to permit persons to whom the
# Software is furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
# THE COMPUTING RESEARCH LAB OR NEW MEXICO STATE UNIVERSITY BE LIABLE FOR ANY
# CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT
# OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR
# THE USE OR OTHER DEALINGS IN THE SOFTWARE.
#
#
# $Id: Makefile,v 1.18 1998/02/06 21:19:40 mleisher Exp mleisher $
#
CC = gcc
CFLAGS = -g -Wall

OTHER = README COPYRIGHTS Makefile Imakefile.lesstif Project.tmpl \
        xmbdfedrc xmbdfed.man

HDRS = FGrid.h FGridP.h GEShared.h GEdit.h GEditP.h GEditTB.h GEditTBP.h \
       GTest.h GTestP.h ProgBar.h ProgBarP.h bdf.h bdfP.h bitmaps.h \
       htext.h xmbdfed.h

SRCS = FGrid.c GEdit.c GEditTB.c GTest.c ProgBar.c bdf.c bdfcons.c bdffnt.c \
       bdfgrab.c bdfgrid.c bdfpkgf.c bdfttf.c comment.c finfo.c fntin.c \
       glyphed.c grab.c help.c ops.c prog.c props.c setup.c test.c ttfin.c \
       xmbdfed.c

OBJS = FGrid.o GEdit.o GEditTB.o GTest.o ProgBar.o bdf.o bdfcons.o bdffnt.o \
       bdfgrab.o bdfgrid.o bdfpkgf.o bdfttf.o comment.o finfo.o fntin.o \
       glyphed.o grab.o help.o ops.o prog.o props.o setup.o test.o ttfin.o \
       xmbdfed.o $(HBF_OBJS)

#
# Uncomment these if you have the FreeType library and want to use it to
# import TrueType fonts.
#
#FTYPE_INCS = -I/usr/local/include
#FTYPE_LIBS = -L/user/local/lib -lttf
#FTYPE_DEFS = -DHAVE_FREETYPE

#
# Uncomment these if you have the hbf.h and hbf.c files in the current
# directory and the patch has been applied.
#
#HBF_HDRS = hbf.h
#HBF_OBJS = hbf.o
#HBF_DEFS = -DHAVE_HBF

#
# Specify the various defines needed for HBF fonts.  If you do not have GNU
# zip/unzip, then don't worry, you just can not open HBF fonts that refer to
# files with a ".gz" extension.  If you don't care about HBF fonts, just
# comment this line out.
#
HBFDEFS = -Dunix -DIN_MEMORY -DGUNZIP_CMD="\"/usr/local/bin/gunzip -c\""

#
# Set the defines used for all files except the HBF support.
#
DEFS = -DHAVE_XLIB $(FTYPE_DEFS) $(HBF_DEFS)

#
# Uncomment these for SunOS.
#
#INCS = -I/usr/local/X11/include -I/usr/local/Motif-2.0/include $(FTYPE_INCS)
#LIBS = -L/usr/local/Motif-2.0/lib -lXm \
#       -L/usr/local/X11/lib -lXpm -lXmu -lXt -lXext -lX11 -lSM -lICE \
#       $(FTYPE_LIBS)

#
# Uncomment these for Solaris.
#
#INCS = -I/usr/openwin/include -I/usr/dt/include $(FTYPE_INCS)
#LIBS = -R/usr/openwin/lib -R/usr/dt/lib -L/usr/dt/lib -lXm \
#       -L/usr/openwin/lib -lXmu -lXt -lX11 $(FTYPE_LIBS)

#
# Uncomment these for Linux.
#
INCS = -I/usr/X11/include -I/usr/local/Motif-2.0.1/include $(FTYPE_INCS)
LIBS = -L/usr/local/Motif-2.0.1/lib -lXm \
       -L/usr/X11/lib -lXpm -lXmu -lXt -lXext -lX11 -lSM -lICE $(FTYPE_LIBS)

#
# Uncomment these for HPUX.
#
#INCS = -I/usr/include/X11R5 -I/usr/local/x11r6/include \
#       -I/usr/include/Motif1.2 $(FTYPE_INCS)
#LIBS = -L/usr/lib/Motif1.2 -lXm -L/usr/lib/X11R5 -L/usr/local/x11r6/lib \
#       -lXmu -lXt -lX11 $(FTYPE_LIBS)

all: xmbdfed

xmbdfed: $(OBJS)
	$(PURIFY) $(CC) $(STATIC) $(CFLAGS) -o xmbdfed $(OBJS) $(LIBS)

hbf.o: hbf.c
	$(CC) $(CFLAGS) $(DEFS) $(HBFDEFS) $(INCS) -c $< -o $@

.c.o:
	$(CC) $(CFLAGS) $(DEFS) $(INCS) -c $< -o $@

tar:
	gtar zcf xmbdfed.tar.gz $(OTHER) $(HDRS) $(SRCS)

clean:
	/bin/rm -f *.o *BAK *CKP *~

realclean: clean
	/bin/rm -f xmbdfed

#
# Dependencies.
#
FGrid.o: FGrid.c FGridP.h FGrid.h bdfP.h bdf.h
GEdit.o: GEdit.c GEditP.h GEdit.h bdf.h GEShared.h
GEditTB.o: GEditTB.c GEditTBP.h GEditTB.h bdf.h GEShared.h bitmaps.h
GTest.o: GTest.c GTestP.h GTest.h bdfP.h bdf.h
ProgBar.o: ProgBar.c ProgBarP.h ProgBar.h
bdf.o: bdf.c bdfP.h bdf.h $(HBF_HDRS)
bdfgrab.o: bdfgrab.c bdfP.h bdf.h
bdfgrid.o: bdfgrid.c bdfP.h bdf.h
bdfcons.o: bdfcons.c bdfP.h bdf.h
bdfpkgf.o: bdfpkgf.c bdfP.h bdf.h
bdfttf.o: bdfttf.c bdfP.h bdf.h
comment.o: comment.c FGrid.h bdfP.h bdf.h xmbdfed.h
finfo.o: finfo.c FGrid.h bdfP.h bdf.h xmbdfed.h
glyphed.o: glyphed.c FGrid.h bdfP.h bdf.h GEdit.h GEShared.h GEditTB.h \
 xmbdfed.h
grab.o: grab.c FGrid.h bdfP.h bdf.h xmbdfed.h
hbf.o: hbf.c hbf.h
help.o: help.c bdf.h xmbdfed.h htext.h
prog.o: prog.c ProgBar.h bdf.h xmbdfed.h
props.o: props.c FGrid.h bdfP.h bdf.h xmbdfed.h
setup.o: setup.c FGrid.h bdfP.h bdf.h xmbdfed.h
test.o: test.c FGrid.h bdfP.h bdf.h xmbdfed.h GTest.h
ttfin.o: ttfin.c FGrid.h bdfP.h bdf.h GTest.h xmbdfed.h
xmbdfed.o: xmbdfed.c FGrid.h bdfP.h bdf.h GTest.h xmbdfed.h
