## xmbdfed 3.3

=== Makefile ===
--- 
+++ 
@@ -21,10 +21,10 @@
 # THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 #
 #
-# $Id: Makefile,v 1.18 1998/02/06 21:19:40 mleisher Exp mleisher $
+# $Id: Makefile,v 1.2 1998/10/12 18:46:42 mleisher Exp $
 #
 CC = gcc
-CFLAGS = -g -Wall
+CFLAGS = -g
 
 OTHER = README COPYRIGHTS Makefile Imakefile.lesstif Project.tmpl \
         xmbdfedrc xmbdfed.man
@@ -47,17 +47,17 @@
 # Uncomment these if you have the FreeType library and want to use it to
 # import TrueType fonts.
 #
-#FTYPE_INCS = -I/usr/local/include
-#FTYPE_LIBS = -L/user/local/lib -lttf
-#FTYPE_DEFS = -DHAVE_FREETYPE
+FTYPE_INCS = -I/home/mleisher/include
+FTYPE_LIBS = -L/home/mleisher/lib -lttf
+FTYPE_DEFS = -DHAVE_FREETYPE
 
 #
 # Uncomment these if you have the hbf.h and hbf.c files in the current
 # directory and the patch has been applied.
 #
-#HBF_HDRS = hbf.h
-#HBF_OBJS = hbf.o
-#HBF_DEFS = -DHAVE_HBF
+HBF_HDRS = hbf.h
+HBF_OBJS = hbf.o
+HBF_DEFS = -DHAVE_HBF
 
 #
 # Specify the various defines needed for HBF fonts.  If you do not have GNU
@@ -83,16 +83,16 @@
 #
 # Uncomment these for Solaris.
 #
-#INCS = -I/usr/openwin/include -I/usr/dt/include $(FTYPE_INCS)
-#LIBS = -R/usr/openwin/lib -R/usr/dt/lib -L/usr/dt/lib -lXm \
-#       -L/usr/openwin/lib -lXmu -lXt -lX11 $(FTYPE_LIBS)
+INCS = -I/usr/openwin/include -I/usr/dt/include $(FTYPE_INCS)
+LIBS = -R/usr/openwin/lib -R/usr/dt/lib -L/usr/dt/lib -lXm \
+       -L/usr/openwin/lib -lXmu -lXt -lXext -lX11 $(FTYPE_LIBS)
 
 #
 # Uncomment these for Linux.
 #
-INCS = -I/usr/X11/include -I/usr/local/Motif-2.0.1/include $(FTYPE_INCS)
-LIBS = -L/usr/local/Motif-2.0.1/lib -lXm \
-       -L/usr/X11/lib -lXpm -lXmu -lXt -lXext -lX11 -lSM -lICE $(FTYPE_LIBS)
+#INCS = -I/usr/X11/include -I/usr/local/Motif-2.0.1/include $(FTYPE_INCS)
+#LIBS = -L/usr/local/Motif-2.0.1/lib -lXm \
+#       -L/usr/X11/lib -lXpm -lXmu -lXt -lXext -lX11 -lSM -lICE $(FTYPE_LIBS)
 
 #
 # Uncomment these for HPUX.
@@ -114,7 +114,7 @@
 	$(CC) $(CFLAGS) $(DEFS) $(INCS) -c $< -o $@
 
 tar:
-	gtar zcf xmbdfed.tar.gz $(OTHER) $(HDRS) $(SRCS)
+	gtar zcf xmbdfed.tar.gz $(OTHER) $(HDRS) $(SRCS) hbf.c hbf.h HBF.PATCH INSTALL
 
 clean:
 	/bin/rm -f *.o *BAK *CKP *~
