## xmbdfed 4.3

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright 1996, 1997, 1998 Computing Research Labs,
+# Copyright 1996, 1997, 1998, 1999 Computing Research Labs,
 # New Mexico State University
 #
 # Permission is hereby granted, free of charge, to any person obtaining a
@@ -21,12 +21,12 @@
 # THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 #
 #
-# $Id: Makefile,v 1.2 1998/10/12 18:46:42 mleisher Exp $
+# $Id: Makefile,v 1.8 1999/05/03 17:17:50 mleisher Exp $
 #
 CC = gcc
-CFLAGS = -g
+CFLAGS = -g -Wall
 
-OTHER = README COPYRIGHTS Makefile Imakefile.lesstif Project.tmpl \
+OTHER = README CHANGES COPYRIGHTS Makefile Imakefile.lesstif Project.tmpl \
         xmbdfedrc xmbdfed.man
 
 HDRS = FGrid.h FGridP.h GEShared.h GEdit.h GEditP.h GEditTB.h GEditTBP.h \
@@ -34,30 +34,30 @@
        htext.h xmbdfed.h
 
 SRCS = FGrid.c GEdit.c GEditTB.c GTest.c ProgBar.c bdf.c bdfcons.c bdffnt.c \
-       bdfgrab.c bdfgrid.c bdfpkgf.c bdfttf.c comment.c finfo.c fntin.c \
-       glyphed.c grab.c help.c ops.c prog.c props.c setup.c test.c ttfin.c \
-       xmbdfed.c
+       bdfgname.c bdfgrab.c bdfgrid.c bdfpkgf.c bdfttf.c color.c comment.c \
+       finfo.c fntin.c glyphed.c grab.c help.c ops.c prog.c props.c setup.c \
+       test.c ttfin.c xmbdfed.c
 
 OBJS = FGrid.o GEdit.o GEditTB.o GTest.o ProgBar.o bdf.o bdfcons.o bdffnt.o \
-       bdfgrab.o bdfgrid.o bdfpkgf.o bdfttf.o comment.o finfo.o fntin.o \
-       glyphed.o grab.o help.o ops.o prog.o props.o setup.o test.o ttfin.o \
-       xmbdfed.o $(HBF_OBJS)
+       bdfgname.o bdfgrab.o bdfgrid.o bdfpkgf.o bdfttf.o color.o comment.o \
+       finfo.o fntin.o glyphed.o grab.o help.o ops.o prog.o props.o setup.o \
+       test.o ttfin.o xmbdfed.o $(HBF_OBJS)
 
 #
 # Uncomment these if you have the FreeType library and want to use it to
 # import TrueType fonts.
 #
-FTYPE_INCS = -I/home/mleisher/include
-FTYPE_LIBS = -L/home/mleisher/lib -lttf
-FTYPE_DEFS = -DHAVE_FREETYPE
+#FTYPE_INCS = -I/usr/local/include
+#FTYPE_LIBS = -L/user/local/lib -lttf
+#FTYPE_DEFS = -DHAVE_FREETYPE
 
 #
 # Uncomment these if you have the hbf.h and hbf.c files in the current
 # directory and the patch has been applied.
 #
-HBF_HDRS = hbf.h
-HBF_OBJS = hbf.o
-HBF_DEFS = -DHAVE_HBF
+#HBF_HDRS = hbf.h
+#HBF_OBJS = hbf.o
+#HBF_DEFS = -DHAVE_HBF
 
 #
 # Specify the various defines needed for HBF fonts.  If you do not have GNU
@@ -97,10 +97,39 @@
 #
 # Uncomment these for HPUX.
 #
+# MIT Athena include files are in /usr/local/include/X11 and subdirectories.
+# They *do not* come with HP-UX 10.20 or earlier; you can get them from e.g.
+# ftp://hpux.csc.liv.ac.uk/hpux/X11/Core/Xaw-5.00/
+#
+#CC = cc
+#CFLAGS = -Aa -Wp,-H,32384 -D_HPUX_SOURCE
 #INCS = -I/usr/include/X11R5 -I/usr/local/x11r6/include \
 #       -I/usr/include/Motif1.2 $(FTYPE_INCS)
 #LIBS = -L/usr/lib/Motif1.2 -lXm -L/usr/lib/X11R5 -L/usr/local/x11r6/lib \
 #       -lXmu -lXt -lX11 $(FTYPE_LIBS)
+
+#
+# Another HP/UX 10.20 setup for X11R6.
+#
+#CC = cc
+#CFLAGS = -Aa -Wp,-H,32384 -D_HPUX_SOURCE
+#INCS = -I/usr/include/X11R6 -I/usr/contrib/X11R6/include \
+#       -I/usr/include/Motif1.2 $(FTYPE_INCS)
+#LIBS = -L/usr/lib/Motif1.2 -lXm -L/usr/lib/X11R6 -L/usr/contrib/X11R6/lib \
+#       -lXmu -lXt -lX11 $(FTYPE_LIBS)
+
+#
+# Uncomment these for SCO.
+# 
+#INCS = $(FTYPE_INCS)
+#LIBS = -lXm -lXmu -lXt -lXext -lX11 -lsocket $(FTYPE_LIBS)
+
+#
+# Uncomment these for IRIX 6.5.2.
+#
+#INCS = -I/usr/include/Xm -I/usr/include/X11 $(FTYPE_INCS)
+#LIBS = -L/usr/Motif-1.2/lib32 -lXm \
+#       -L/usr/lib/X11 -lXmu -lXt -lXext -lX11 -lSM -lICE $(FTYPE_LIBS)
 
 all: xmbdfed
 
@@ -114,7 +143,7 @@
 	$(CC) $(CFLAGS) $(DEFS) $(INCS) -c $< -o $@
 
 tar:
-	gtar zcf xmbdfed.tar.gz $(OTHER) $(HDRS) $(SRCS) hbf.c hbf.h HBF.PATCH INSTALL
+	gtar zcf xmbdfed.tar.gz $(OTHER) $(HDRS) $(SRCS)
 
 clean:
 	/bin/rm -f *.o *BAK *CKP *~
@@ -126,26 +155,31 @@
 # Dependencies.
 #
 FGrid.o: FGrid.c FGridP.h FGrid.h bdfP.h bdf.h
-GEdit.o: GEdit.c GEditP.h GEdit.h bdf.h GEShared.h
-GEditTB.o: GEditTB.c GEditTBP.h GEditTB.h bdf.h GEShared.h bitmaps.h
+GEdit.o: GEdit.c GEditP.h GEdit.h bdfP.h bdf.h GEShared.h
+GEditTB.o: GEditTB.c GEditTBP.h GEditTB.h bdfP.h bdf.h GEShared.h \
+ bitmaps.h
 GTest.o: GTest.c GTestP.h GTest.h bdfP.h bdf.h
 ProgBar.o: ProgBar.c ProgBarP.h ProgBar.h
 bdf.o: bdf.c bdfP.h bdf.h $(HBF_HDRS)
+bdfcons.o: bdfcons.c bdfP.h bdf.h
+bdffnt.o: bdffnt.c bdfP.h bdf.h
+bdfgname.o: bdfgname.c bdfP.h bdf.h
 bdfgrab.o: bdfgrab.c bdfP.h bdf.h
 bdfgrid.o: bdfgrid.c bdfP.h bdf.h
-bdfcons.o: bdfcons.c bdfP.h bdf.h
 bdfpkgf.o: bdfpkgf.c bdfP.h bdf.h
-bdfttf.o: bdfttf.c bdfP.h bdf.h
+bdfttf.o: bdfttf.c
+color.o: color.c bdfP.h bdf.h xmbdfed.h
 comment.o: comment.c FGrid.h bdfP.h bdf.h xmbdfed.h
 finfo.o: finfo.c FGrid.h bdfP.h bdf.h xmbdfed.h
+fntin.o: fntin.c FGrid.h bdfP.h bdf.h GTest.h xmbdfed.h
 glyphed.o: glyphed.c FGrid.h bdfP.h bdf.h GEdit.h GEShared.h GEditTB.h \
  xmbdfed.h
 grab.o: grab.c FGrid.h bdfP.h bdf.h xmbdfed.h
-hbf.o: hbf.c hbf.h
 help.o: help.c bdf.h xmbdfed.h htext.h
+ops.o: ops.c FGrid.h bdfP.h bdf.h GTest.h xmbdfed.h
 prog.o: prog.c ProgBar.h bdf.h xmbdfed.h
 props.o: props.c FGrid.h bdfP.h bdf.h xmbdfed.h
 setup.o: setup.c FGrid.h bdfP.h bdf.h xmbdfed.h
 test.o: test.c FGrid.h bdfP.h bdf.h xmbdfed.h GTest.h
-ttfin.o: ttfin.c FGrid.h bdfP.h bdf.h GTest.h xmbdfed.h
+ttfin.o: ttfin.c
 xmbdfed.o: xmbdfed.c FGrid.h bdfP.h bdf.h GTest.h xmbdfed.h
