## xmbdfed 4.5patch1-1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,5 @@
 #
-# Copyright 1996, 1997, 1998, 1999 Computing Research Labs,
-# New Mexico State University
+# Copyright 2001 Computing Research Labs, New Mexico State University
 #
 # Permission is hereby granted, free of charge, to any person obtaining a
 # copy of this software and associated documentation files (the "Software"),
@@ -21,7 +20,7 @@
 # THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 #
 #
-# $Id: Makefile,v 1.8 1999/05/03 17:17:50 mleisher Exp $
+# $Id: Makefile,v 1.10 2001/09/19 21:00:42 mleisher Exp $
 #
 CC = gcc
 CFLAGS = -g -Wall
@@ -47,9 +46,9 @@
 # Uncomment these if you have the FreeType library and want to use it to
 # import TrueType fonts.
 #
-#FTYPE_INCS = -I/usr/local/include
-#FTYPE_LIBS = -L/user/local/lib -lttf
-#FTYPE_DEFS = -DHAVE_FREETYPE
+FTYPE_INCS = -I/usr/include/freetype
+FTYPE_LIBS = -lttf
+FTYPE_DEFS = -DHAVE_FREETYPE
 
 #
 # Uncomment these if you have the hbf.h and hbf.c files in the current
@@ -83,16 +82,15 @@
 #
 # Uncomment these for Solaris.
 #
-INCS = -I/usr/openwin/include -I/usr/dt/include $(FTYPE_INCS)
-LIBS = -R/usr/openwin/lib -R/usr/dt/lib -L/usr/dt/lib -lXm \
-       -L/usr/openwin/lib -lXmu -lXt -lXext -lX11 $(FTYPE_LIBS)
+#INCS = -I/usr/openwin/include -I/usr/dt/include $(FTYPE_INCS)
+#LIBS = -R/usr/openwin/lib -R/usr/dt/lib -L/usr/dt/lib -lXm \
+#       -L/usr/openwin/lib -lXmu -lXt -lXext -lX11 $(FTYPE_LIBS)
 
 #
 # Uncomment these for Linux.
 #
-#INCS = -I/usr/X11/include -I/usr/local/Motif-2.0.1/include $(FTYPE_INCS)
-#LIBS = -L/usr/local/Motif-2.0.1/lib -lXm \
-#       -L/usr/X11/lib -lXpm -lXmu -lXt -lXext -lX11 -lSM -lICE $(FTYPE_LIBS)
+INCS = -I/usr/X11R6/include $(FTYPE_INCS)
+LIBS = -L/usr/X11R6/lib -lXm -lXpm -lXmu -lXt -lXext -lX11 -lSM -lICE $(FTYPE_LIBS)
 
 #
 # Uncomment these for HPUX.
