=== debian/changelog ===
xmbdfed (4.5patch1-1) unstable; urgency=low

  * New upstream patch for v4.5 (Closes: bug#141188)

 -- Baruch Even <baruch@debian.org>  Sun,  7 Apr 2002 04:53:20 +0300

xmbdfed (4.5-1) unstable; urgency=low

  * New upstream version

 -- Baruch Even <baruch@debian.org>  Fri,  4 Jan 2002 19:38:18 +0200

xmbdfed (4.4-4) unstable; urgency=low

  * Taking over maintainership. (Closes: Bug#90056)
  * Uploading to fix a version mismatch, version in sid was called 4.3
    even though it was 4.4
  * Fixed a small bug that had a warning, there are many more warnings
    and it will take time to squash them and verify that they are not bugs.

 -- Baruch Even <baruch@debian.org>  Fri,  7 Sep 2001 19:52:17 +0300

xmbdfed (4.4-3) unstable; urgency=low

  * Updated build dependency on freetype2-dev to libttf-dev.
  * Conforms to Standards version 3.5.5.

 -- Matej Vela <vela@debian.org>  Wed, 13 Jun 2001 04:01:26 +0200

xmbdfed (4.4-2) unstable; urgency=low

  * Changed priority to optional, correcting the override disparity.

 -- Matej Vela <vela@debian.org>  Tue, 17 Apr 2001 13:44:09 +0200

xmbdfed (4.4-1) unstable; urgency=low

  * New upstream version.
  * Package is orphaned (see #90056); maintainer set to Debian QA Group.
  * Converted to debhelper.
  * Conforms to Standards version 3.5.2:
    * Added build dependencies.
    * Install into /usr rather than /usr/X11R6.
    * debian/rules: Support the `debug' build option.
  * bdf.h: No extend subdirectory in freetype2-dev; include <ftxsbit.h>.
  * debian/README.debian: Obsolete; removed.  Closes: #65230.
  * xmbdfed.c: Fixed for Alpha.  (Thanks to Falk Hueffner for the
    patch.)  Closes: #66312.
  * No need to depend on gzip as it's marked essential.
  * debian/copyright: Updated.

 -- Matej Vela <vela@debian.org>  Sun,  1 Apr 2001 12:57:22 +0200

xmbdfed (4.3-3) unstable; urgency=low

  * add -I/usr/include/freetype to really close bug 52345. I have probably
  an old version of freetype which puts its headers in /usr/include...

 -- Frederic Lepied <Lepied@debian.org>  Wed, 15 Dec 1999 06:10:05 +0100

xmbdfed (4.3-2) unstable; urgency=low

  * changed the Makefile to compile cleanly.

 -- Frederic Lepied <Lepied@debian.org>  Sat, 11 Dec 1999 20:54:33 +0100

xmbdfed (4.3-1) unstable; urgency=low

  * new upstream version. Applied patches 1 to 3. Closes Bug#51356.

 -- Frederic Lepied <Lepied@debian.org>  Sun,  5 Dec 1999 20:04:39 +0100

xmbdfed (4.1-1) unstable; urgency=low

  * new upstream version.

 -- Frederic Lepied <Lepied@debian.org>  Thu, 21 Oct 1999 18:01:04 +0200

xmbdfed (3.9-2) unstable; urgency=low

  * applied patch 1 and 2 from upstream author.

 -- Frederic Lepied <Lepied@debian.org>  Tue, 20 Jul 1999 21:47:54 +0200

xmbdfed (3.9-1) unstable; urgency=low

  * new upstream version
  * applied patch from J.H.M. Dassen (Ray) to fix Bug#40441.

 -- Frederic Lepied <Lepied@debian.org>  Tue, 29 Jun 1999 20:57:48 +0200

xmbdfed (3.7-1) unstable; urgency=low

  * new upstream version.
  * applied patch 1 to 3.

 -- Frederic Lepied <Lepied@debian.org>  Mon, 15 Feb 1999 13:03:22 +0100

xmbdfed (3.3-1) unstable; urgency=low

  * new upstream version.

 -- Frederic Lepied <Lepied@debian.org>  Thu, 15 Oct 1998 07:50:41 +0200

xmbdfed (3.2-1) unstable; urgency=low

  * new upstream version.
  * compiled with freetype2.

 -- Frederic Lepied <Lepied@debian.org>  Sun, 13 Sep 1998 20:38:16 +0200

xmbdfed (3.0.1-2) unstable frozen; urgency=low

  * (copyright): suppressed HBF statement already removed by upstream author.
  Fixes Bug#21939.

 -- Frederic Lepied <Lepied@debian.org>  Mon,  4 May 1998 05:33:34 +0200

xmbdfed (3.0.1-1) unstable; urgency=low

  * new upstream version.

 -- Frederic Lepied <Lepied@debian.org>  Thu, 19 Feb 1998 05:03:16 +0100

xmbdfed (2.9-2) unstable; urgency=low

  * updated Imakefile to use new freetype0-dev package.

 -- Frederic Lepied <Lepied@debian.org>  Fri,  9 Jan 1998 22:35:34 +0100

xmbdfed (2.9-1) unstable; urgency=low

  * Initial Release.

 -- Frederic Lepied <Lepied@debian.org>  Wed, 24 Dec 1997 17:31:22 +0100

Local variables:
mode: debian-changelog
End:
