=== debian/rules ===
#! /usr/bin/make -f

export DH_COMPAT := 3

CFLAGS := -O2 -Wall
ifneq ($(findstring debug,$(DEB_BUILD_OPTIONS)),)
CFLAGS += -g
endif

clean:
	dh_testdir
	dh_testroot
	dh_clean build.stamp
	$(MAKE) realclean

build: build.stamp
build.stamp:
	dh_testdir
	$(MAKE) CFLAGS="$(CFLAGS)"
	> $@

binary: binary-arch binary-indep

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs usr/bin
	install xmbdfed debian/xmbdfed/usr/bin
	dh_installdocs README
	dh_installexamples xmbdfedrc
	dh_installmenu
	dh_installman xmbdfed.man
	dh_installchangelogs CHANGES
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep: build

.PHONY: clean build binary binary-arch binary-indep
