## xmbdfed 4.7

=== debian/changelog ===
xmbdfed (1:4.7) unstable; urgency=low

  * Package was removed since it was obsolete and replaced with gbdfed.
    This is now a transition only package.

 -- Baruch Even <baruch@debian.org>  Sat, 15 Jul 2006 16:05:54 +0100

xmbdfed (4.7patch1-2) unstable; urgency=low

  * Add build-dependency on libxmu-dev (Closes: bug#256425)

 -- Baruch Even <baruch@debian.org>  Sun, 27 Jun 2004 09:54:56 +0300

xmbdfed (4.7patch1-1) unstable; urgency=low

  * New upstream version (Closes: bug#239965)

 -- Debian User <baruch@debian.org>  Wed, 31 Mar 2004 09:24:47 +0200
