=== debian/control ===
Source: xmbdfed
Section: x11
Priority: optional
Maintainer: Baruch Even <baruch@debian.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: xmbdfed
Architecture: all
Depends: gbdfed
Description: transitional dummy package which can be safely removed
 Dummy package to upgrade to gbdfed.
 .
 xmbdfed was obsoleted by its author who now provides gbdfed as a replacement.
